package ai.pai.lensman.printer;

/**
 * Created by chengzhenyu on 2016/9/1.
 */

public class PrinterSettingContract {

    public interface Presenter{
        void start();
        void stop();
        void queryPrinterStatus();
        void printTestPage();
        void queryBluetoothStatus();
        void enableBluetooth();
        void disableBluetooth();
        void queryPairedDevices();
        void discoverNewDevices();
        void connectPrinter();
    }

    public interface View{
        void onBluetoothEnabled();
        void onBluetoothDisabled();
        void onPrinterOk();
        void onPrinterError(String error);
        void onPrinterConnected();
        void onPrinterDisconnected();
        void onNewDeviceDiscovered();
        void onPrinterTestPageFail();
        void onPairedDeviceDiscovered();
    }
}
